'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function ($) {
  var metatagsData = {};
  $('meta').each(function (index, elem) {
    var nameKey = _lodash2.default.find(_lodash2.default.keys(elem.attribs), function (attr) {
      return ['name', 'property', 'itemprop'].indexOf(attr) !== -1;
    });
    var name = elem.attribs[nameKey];
    var value = elem.attribs['content'];
    if (!metatagsData[name]) {
      metatagsData[name] = [];
    }
    metatagsData[name].push(value);
  });
  return metatagsData;
};